枭毅API枭毅API
API ReferenceAI Applications
AI Model APIVideosHappyHorse Video API

Query HappyHorse Video Task

Query a video task using the HappyHorse native response format.

GET /happyhorse/api/status/{task_id} is the native HappyHorse-style query endpoint. It is designed to pair with POST /happyhorse/api/generate.

GET
/happyhorse/api/status/{task_id}

Authorization

BearerAuth
AuthorizationBearer <token>

使用 Bearer Token 认证。 格式: Authorization: Bearer sk-xxxxxx

In: header

Path Parameters

task_id*string

任务 ID。

Response Body

application/json

curl -X GET "https://example.com/happyhorse/api/status/string"
{
  "code": 0,
  "message": "upstream error message",
  "data": {
    "task_id": "task_xxx",
    "status": "failed",
    "model": "happyhorse-1.0-i2v",
    "mode": "image-to-video",
    "error": "upstream error message"
  }
}

How is this guide?